location / {
    root   /usr/share/nginx/html;
    index  index.html index.htm;

    auth_basic "Personal notes, do not consciously bypass";  # 这里是提示信息
    auth_basic_user_file /var/local/jekyll-docker/user.db;  # 这里填写刚才生成的文件路径
}

try_files $uri $uri.html $uri/ =404;
location ~ ^/bk/ {
    root      /data/github.com/xiexianbin/docs.xiexianbin.cn/public/;
    index     index.html index.htm;

    auth_basic "Please input password";
    auth_basic_user_file /data/github.com/xiexianbin/configs.xiexianbin.cn/etc/tengine/tengine-passwd;
    include   /etc/tengine/conf.d/proxy.conf;
}
